<ng-container *transloco="let t">
  <ng-container [formGroup]="searchService.filters">
    <moe-manga-filter-field
      [label]="t('PAGES.ADVANCED_SEARCH.FILTER_LABELS.STATUS')"
    >
      <moe-manga-status-filter formControlName="statuses" />
    </moe-manga-filter-field>

    <moe-manga-filter-field
      [label]="t('PAGES.ADVANCED_SEARCH.FILTER_LABELS.SORT')"
    >
      <moe-manga-sort-filter formControlName="sort" />
    </moe-manga-filter-field>

    <moe-manga-filter-field
      [label]="t('PAGES.ADVANCED_SEARCH.FILTER_LABELS.TAGS')"
    >
      <mat-form-field
        class="manga-sort-filter dense-5"
        subscriptSizing="dynamic"
      >
        <moe-select-wrapper
          [placeholder]="t('COMPONENTS.MANGA_TAG_FILTER.ANY_PLACEHOLDER')"
        >
          <moe-manga-tags-filter formControlName="tags" />
        </moe-select-wrapper>
      </mat-form-field>
    </moe-manga-filter-field>
  </ng-container>
</ng-container>
